Subject: Re: [P2PSIP] Depicting framing header in Section 1.2

From: "Michael Chen" <[email-masked]>
Date: Wed, 10 Mar 2010 21:50:21 -0700

Bruce,

In Section 1.2, there these two:

Forwarding and Link Management Layer: Stores and implements the
routing table by providing packet forwarding services between
nodes. It also handles establishing new links between nodes,
including setting up connections across NATs using ICE.

Overlay Link Layer: TLS [RFC5246] and DTLS [RFC4347] are the "link
layer" protocols used by RELOAD for hop-by-hop communication.
Each such protocol includes the appropriate provisions for per-hop
framing or hop-by-hop ACKs required by unreliable transports.

Your addition to the base-08 draft conflicts with the second one above. An explicit diagram is definitely needed. This is too fundamental. Do you mean this?

-------------------------------------- Overlay Link API

+---------------------------------+

|      Framing Header             |

+---------------------------------+
+------+  +------+
|TLS   |  |DTLS  |  ...
+------+  +------+

or

+------------------+
|  Forwarding &    |
| Link Management  |
+------------------+
+---------------------------------+

|      Framing Header             |

+---------------------------------+
-------------------------------------- Overlay Link API
+------+  +------+
|TLS   |  |DTLS  |  ...
+------+  +------+

Thanks

--Michael

Thank

-------- Original Message --------

Subject: RE: [P2PSIP] Depicting framing header in Section 1.2

From: "Michael Chen" <[email-masked]>

Date: Wed, March 10, 2010 8:17 pm

To: "Bruce Lowekamp" <[email-masked]>

Cc: [email-masked]

Bruce,

I am stunned. Framing header is discussed in detail in section 5.6.2 with section 5.6 Overlay Link Layer as its parent section. Are you sure?

Thanks

--Michael

-------- Original Message --------
Subject: Re: [P2PSIP] Depicting framing header in Section 1.2
From: Bruce Lowekamp <[email-masked]>
Date: Mon, March 08, 2010 8:58 am
To: Michael Chen <[email-masked]>
Cc: [email-masked]

The framing header is used by the "Forwarding and Link Management"
component in that diagram. I'll add some text to the description of
that component about the framing header.

Bruce

On Mon, Mar 8, 2010 at 6:24 AM, Michael Chen <[email-masked]> wrote:
> Hi,
> In the base draft, Section 1.2 should depict the framing header and its
> relation to TLS/DTLS. I suggest the following:
>       -------------------------------------- Overlay Link API
>          +------+  +------+
>          |TLS   |  |DTLS  |  ...
>          +------+  +------+
>          +---------------------------------+
>          |      Framing Header             |
>          +---------------------------------+
> Thanks
> --Michael
>
> _______________________________________________
> P2PSIP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/p2psip
>
>

---

From: Bruce Lowekamp <[email-masked]>
Date: Thu, 11 Mar 2010 02:57:40 -0800

Michael,

You're right that it should have been described in the Overlay Link
Layer.  The most important point was that it's not under TLS/DTLS,
it's above them.

Framing header doesn't exist as a box in this diagram, regardless of
where you put it.  It's not an architectural component.  We could
conceivably put the three overlay link protocols at the bottom rather
than TLS/DTLS, though

------------------------------------ Overlay Link API
(DTLS/UDP+SR) (TLS/TCP+FH/NO-ICE) (DTLS/UDP+SR/NO-ICE)

I don't think that helps that much since those concepts haven't been
introduced that early, but if there's consensus that it's an
improvement, we could change it.

Bruce

On Wed, Mar 10, 2010 at 8:50 PM, Michael Chen <[email-masked]> wrote:
> Your addition to the base-08 draft conflicts with the second one above. An
> explicit diagram is definitely needed. This is too fundamental. Do you mean
> this?
>
> I am stunned. Framing header is discussed in detail in section 5.6.2 with
> section 5.6 Overlay Link Layer as its parent section. Are you sure?
> Thanks
> --Michael
>